Classes | Public Types | Public Member Functions | Private Attributes | List of all members
libebook::XMLTreeWalker Class Reference

`#include <XMLTreeWalker.h>`

## Classes
class | Attribute
class | AttributeIterator
class | Iterator

## Public Types
typedef int(* | TokenizerFun_t) (const char *, std::size_t)

## Public Member Functions
| XMLTreeWalker (const XMLTreeNodePtr_t &p, TokenizerFun_t tok=0)
bool | empty () const
Iterator | begin () const
const Iterator | end () const
bool | hasParent () const
const XMLTreeWalker | getParent () const
bool | isDocument () const
bool | isElement () const
bool | isText () const
int | getId () const
const std::string | getName () const
const std::string | getNamespace () const
const std::string & | getText () const
bool | hasAttributes () const
AttributeIterator | beginAttributes () const
const AttributeIterator | endAttributes () const
CSSSelectResultsPtr_t | getStyle (const XMLStylesheets_t &sheets, bool quirks=false, const CSSStylesheetPtr_t &inlineSheet=CSSStylesheetPtr_t()) const

## Private Attributes
XMLTreeNodePtr_t | m_impl
TokenizerFun_t | m_tok

## Member Typedef Documentation

## § TokenizerFun_t

typedef int(* libebook::XMLTreeWalker::TokenizerFun_t) (const char *, std::size_t)

## Constructor & Destructor Documentation

## § XMLTreeWalker()

libebook::XMLTreeWalker::XMLTreeWalker | ( | const XMLTreeNodePtr_t & | p,
|  | TokenizerFun_t | tok = `0`
| ) |  |
| explicit

## Member Function Documentation

## § begin()

XMLTreeWalker::Iterator libebook::XMLTreeWalker::begin | ( |  | ) | const

Referenced by libebook::EBOOKHTMLParser::parse(), and libebook::EBOOKHTMLParser::processNode().

## § beginAttributes()

XMLTreeWalker::AttributeIterator libebook::XMLTreeWalker::beginAttributes | ( |  | ) | const

## § empty()

bool libebook::XMLTreeWalker::empty | ( |  | ) | const

## § end()

const XMLTreeWalker::Iterator libebook::XMLTreeWalker::end | ( |  | ) | const

Referenced by libebook::EBOOKHTMLParser::parse(), and libebook::EBOOKHTMLParser::processNode().

## § endAttributes()

const XMLTreeWalker::AttributeIterator libebook::XMLTreeWalker::endAttributes | ( |  | ) | const

## § getId()

int libebook::XMLTreeWalker::getId | ( |  | ) | const

Referenced by libebook::EBOOKHTMLParser::endElement(), and libebook::EBOOKHTMLParser::startElement().

## § getName()

const std::string libebook::XMLTreeWalker::getName | ( |  | ) | const

Referenced by libebook::EBOOKHTMLParser::endElement(), and libebook::EBOOKHTMLParser::startElement().

## § getNamespace()

const std::string libebook::XMLTreeWalker::getNamespace | ( |  | ) | const

## § getParent()

const XMLTreeWalker libebook::XMLTreeWalker::getParent | ( |  | ) | const

## § getStyle()

CSSSelectResultsPtr_t libebook::XMLTreeWalker::getStyle | ( | const XMLStylesheets_t & | sheets,
|  | bool | quirks = `false`,
|  | const CSSStylesheetPtr_t & | inlineSheet = `CSSStylesheetPtr_t()`
| ) |  | const

Referenced by libebook::EBOOKHTMLParser::sendParagraph(), libebook::EBOOKHTMLParser::sendSpan(), libebook::EBOOKHTMLParser::sendTableCell(), and libebook::EBOOKHTMLParser::startElement().

## § getText()

const std::string & libebook::XMLTreeWalker::getText | ( |  | ) | const

Referenced by libebook::EBOOKHTMLParser::text().

## § hasAttributes()

bool libebook::XMLTreeWalker::hasAttributes | ( |  | ) | const

## § hasParent()

bool libebook::XMLTreeWalker::hasParent | ( |  | ) | const

## § isDocument()

bool libebook::XMLTreeWalker::isDocument | ( |  | ) | const

## § isElement()

bool libebook::XMLTreeWalker::isElement | ( |  | ) | const

Referenced by libebook::EBOOKHTMLParser::endElement(), libebook::EBOOKHTMLParser::processNode(), and libebook::EBOOKHTMLParser::startElement().

## § isText()

bool libebook::XMLTreeWalker::isText | ( |  | ) | const

Referenced by libebook::EBOOKHTMLParser::text().

## Member Data Documentation

## § m_impl

XMLTreeNodePtr_t libebook::XMLTreeWalker::m_impl
| private

Referenced by getStyle().

## § m_tok

TokenizerFun_t libebook::XMLTreeWalker::m_tok
| private

Referenced by libebook::XMLTreeWalker::Attribute::getId(), and libebook::XMLTreeWalker::Attribute::getValueId().

The documentation for this class was generated from the following files:

- XMLTreeWalker.h
- XMLTreeWalker.cpp